> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.navisavitravel.com/llms.txt.

# Get a video by ID

GET https://api.navisavitravel.com/v1/videos/{videoId}

Returns a single video by its ID.

Reference: https://api-docs.navisavitravel.com/api-reference/videos/get-video

## Authentication

- `x-api-key` header (required) — API key issued with your NaviSavi plan

## Servers

- `https://api.navisavitravel.com` (Production, default)
- `https://api-dev.navisavitravel.com` (Development)

## Request

### Path parameters

- `videoId` (string, required)

### Query parameters

- `thumbnailWidth` (integer, optional, default: 1280) — Thumbnail width in pixels
- `thumbnailHeight` (integer, optional, default: 720) — Thumbnail height in pixels
- `thumbnailTime` (double, optional, default: 4) — Time offset in seconds for thumbnail frame (clamped to video duration, or 30s if unknown)
- `thumbnailType` (enum, optional, default: png) — Thumbnail image format
  - Allowed values: `png`, `jpeg`, `webp`
- `minResolution` (enum, optional) — Minimum video resolution for contentUrl. Must be provided together with maxResolution.
  - Allowed values: `270p`, `360p`, `480p`, `540p`, `720p`, `1080p`, `1440p`, `2160p`
- `maxResolution` (enum, optional) — Maximum video resolution for contentUrl. Must be provided together with minResolution.
  - Allowed values: `270p`, `360p`, `480p`, `540p`, `720p`, `1080p`, `1440p`, `2160p`

## Response

### 200

Video details

- `id` (string, required)
- `@context` (string, required)
- `@type` (string, required)
- `title` (string, required)
- `description` (string, required)
- `thumbnailUrl` (string, required)
- `uploadDate` (datetime, required)
- `duration` (double, required, nullable)
- `contentUrl` (string, required)
- `embedUrl` (string, required)
- `publisher` (VideoDetailPublisher, required)
- `creator` (VideoDetailCreator, required)
- `location` (VideoDetailLocation, required)
- `keywords` (list of string, required, nullable)
- `tags` (list of string, required, nullable)
- `metadata` (VideoDetailMetadata, required)
- `experienceProfile` (VideoDetailExperienceProfile, required)
- `vibes` (list of string, required)
- `conversationalQueries` (VideoDetailConversationalQueries, required, nullable)
- `timestampContext` (VideoDetailTimestampContext, required)
- `nearestAirport` (VideoDetailNearestAirport, required)
- `nearbyAccommodation` (VideoDetailNearbyAccommodation, required)
- `nearbyExperiences` (VideoDetailNearbyExperiences, required)
- `assetId` (string, required, nullable)
- `streamUrl` (string, required)
- `resolutions` (VideoDetailResolutions, required)
- `playerUrl` (string, required)
- `playbackId` (string, required)
- `clipUrl` (string, required, nullable)
- `thumbnails` (VideoDetailThumbnails, required)
- `relatedDestinations` (list of VideoDetailRelatedDestinationsItems, required)

## Errors

### 400 Bad Request Error

Invalid request parameters

- `error` (string, required)
- `details` (map from string to any, optional)

### 403 Forbidden Error

Missing or invalid API key

- `error` (string, required)
- `details` (map from string to any, optional)

### 404 Not Found Error

Video not found

- `error` (string, required)
- `details` (map from string to any, optional)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `details` (map from string to any, optional)

## Types

### VideoDetailPublisher

- `@type` (string, required)
- `name` (string, required)
- `url` (string, required)

### VideoDetailCreator

- `@type` (string, required)
- `name` (string, required)

### VideoDetailLocation

- `@type` (string, required)
- `name` (string, required)
- `address` (VideoDetailLocationAddress, required)
- `geo` (VideoDetailLocationGeo, required)

### VideoDetailMetadata

- `bestTimeToVisit` (string, required, nullable)
- `experienceType` (list of string, required, nullable)
- `suitability` (list of string, required, nullable)
- `recommendedVisitDuration` (string, required, nullable)
- `accessibilityNotes` (string, required, nullable)
- `gearRecommendations` (list of string, required, nullable)
- `tone` (string, required, nullable)
- `style` (string, required, nullable)
- `sentiment` (string, required, nullable)
- `callToAction` (string, required, nullable)
- `audienceSegment` (list of string, required, nullable)
- `experienceCategory` (list of string, required, nullable)

### VideoDetailExperienceProfile

- `relaxingToAdventurous` (double, required, nullable)
- `intimateToSocial` (double, required, nullable)
- `localToBranded` (double, required, nullable)
- `natureToUrban` (double, required, nullable)
- `quietToLively` (double, required, nullable)
- `classicToTrendy` (double, required, nullable)
- `enrichingToIndulgent` (double, required, nullable)
- `iconicToHiddenGem` (double, required, nullable)
- `photogenicToFunctional` (double, required, nullable)

### VideoDetailConversationalQueries

- `en` (list of string, required)
- `es` (list of string, required)
- `zh` (list of string, required)

### VideoDetailTimestampContext

- `dayOfWeek` (string, required, nullable)
- `month` (string, required, nullable)
- `season` (string, required, nullable)
- `timeOfDay` (string, required, nullable)
- `weather` (string, required, nullable)

### VideoDetailNearestAirport

- `text` (string, required, nullable)
- `name` (string, required, nullable)
- `location` (string, required, nullable)
- `airportCode` (string, required, nullable)
- `flightsUrl` (string, required, nullable)

### VideoDetailNearbyAccommodation

- `staysUrl` (string, required)
- `text` (string, required, nullable)

### VideoDetailNearbyExperiences

- `experiencesUrl` (string, required)
- `text` (string, required, nullable)

### VideoDetailResolutions

- `270p` (string, required)
- `360p` (string, required)
- `480p` (string, required)
- `540p` (string, required)
- `720p` (string, required)
- `1080p` (string, required)
- `1440p` (string, required)
- `2160p` (string, required)

### VideoDetailThumbnails

- `jpeg` (string, required)
- `png` (string, required)
- `webp` (string, required)

### VideoDetailRelatedDestinationsItems

- `id` (integer, required)
- `name` (string, required)
- `slug` (string, required)
- `category` (string, required)

### VideoDetailLocationAddress

- `addressLocality` (string, required)
- `addressRegion` (string, required)
- `addressCountry` (string, required)
- `addressFullName` (string, required)

### VideoDetailLocationGeo

- `@type` (string, required)
- `latitude` (double, required)
- `longitude` (double, required)

## Examples

**Response**

```json
{
  "id": "42",
  "@context": "https://schema.org",
  "@type": "VideoObject",
  "title": "Sunset over the Promenade des Anglais",
  "description": "string",
  "thumbnailUrl": "string",
  "uploadDate": "2024-01-15T09:30:00Z",
  "duration": 1.1,
  "contentUrl": "string",
  "embedUrl": "string",
  "publisher": {
    "@type": "string",
    "name": "string",
    "url": "string"
  },
  "creator": {
    "@type": "string",
    "name": "string"
  },
  "location": {
    "@type": "string",
    "name": "string",
    "address": {
      "addressLocality": "string",
      "addressRegion": "string",
      "addressCountry": "string",
      "addressFullName": "string"
    },
    "geo": {
      "@type": "string",
      "latitude": 1.1,
      "longitude": 1.1
    }
  },
  "keywords": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "metadata": {
    "bestTimeToVisit": "string",
    "experienceType": [
      "string"
    ],
    "suitability": [
      "string"
    ],
    "recommendedVisitDuration": "string",
    "accessibilityNotes": "string",
    "gearRecommendations": [
      "string"
    ],
    "tone": "string",
    "style": "string",
    "sentiment": "string",
    "callToAction": "string",
    "audienceSegment": [
      "string"
    ],
    "experienceCategory": [
      "string"
    ]
  },
  "experienceProfile": {
    "relaxingToAdventurous": 1.1,
    "intimateToSocial": 1.1,
    "localToBranded": 1.1,
    "natureToUrban": 1.1,
    "quietToLively": 1.1,
    "classicToTrendy": 1.1,
    "enrichingToIndulgent": 1.1,
    "iconicToHiddenGem": 1.1,
    "photogenicToFunctional": 1.1
  },
  "vibes": [
    "string"
  ],
  "conversationalQueries": {
    "en": [
      "string"
    ],
    "es": [
      "string"
    ],
    "zh": [
      "string"
    ]
  },
  "timestampContext": {
    "dayOfWeek": "string",
    "month": "string",
    "season": "string",
    "timeOfDay": "string",
    "weather": "string"
  },
  "nearestAirport": {
    "text": "string",
    "name": "string",
    "location": "string",
    "airportCode": "string",
    "flightsUrl": "string"
  },
  "nearbyAccommodation": {
    "staysUrl": "string",
    "text": "string"
  },
  "nearbyExperiences": {
    "experiencesUrl": "string",
    "text": "string"
  },
  "assetId": "string",
  "streamUrl": "string",
  "resolutions": {
    "270p": "string",
    "360p": "string",
    "480p": "string",
    "540p": "string",
    "720p": "string",
    "1080p": "string",
    "1440p": "string",
    "2160p": "string"
  },
  "playerUrl": "string",
  "playbackId": "string",
  "clipUrl": "string",
  "thumbnails": {
    "jpeg": "string",
    "png": "string",
    "webp": "string"
  },
  "relatedDestinations": [
    {
      "id": 1,
      "name": "Scottish Highlands",
      "slug": "scottish-highlands",
      "category": "Region"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.navisavitravel.com/v1/videos/42"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.navisavitravel.com/v1/videos/42';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.navisavitravel.com/v1/videos/42"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.navisavitravel.com/v1/videos/42")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.navisavitravel.com/v1/videos/42")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.navisavitravel.com/v1/videos/42', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.navisavitravel.com/v1/videos/42");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.navisavitravel.com/v1/videos/42")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```